Core - Bug # 55979

Status: Resolved Priority: Should have
Author: Tymoteusz Motylewski Category:

Created: 2014-02-14 Assigned To:

Updated: 2014-02-27 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subiject: Uncaught Error: Script error for: TYPO3/CMS/Backend/FileListLocalisation
Description

when you open link browser from RTE there is an error in the browser console:
"Uncaught Error: Script error for: TYPO3/CMS/Backend/FileListLocalisation"
its thrown because file
typo3/sysext/backend/Resources/Public/JavaScript/FileListLocalisation.js
does not exist.

(it's referenced from loadDragUploadJs method of
typo3/sysext/backend/Classes/Form/Element/InlineElement.php )

The only file with this name exists in
typo3/sysext/filelist/Resources/Public/JavaScript/FileListLocalisation.js

I'm not sure if the file is missing, or the reference (path) is wrong in InlineElement.

Related issues:
related to Core - Bug # 55810: File list t3-table & localization buttons Resolved

2014-02-09

Associated revisions

Revision 71a7f96¢ - 2014-02-27 14:41 - Markus Klein

[BUGFIX] Fix reference to FileListLocalisation.js

FileListLocalisation.js was moved from backend to filelist
with #55810, but it was forgotten to adapt the reference

in InlineElement.

Resolves: #55979

Releases: 6.2

Change-Id: 1102ffe25c255f8ac39a49d4022ee3ab73ff1914¢c
Reviewed-on: https://review.typo3.org/27861

Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Frans Saris
Reviewed-by: HelImut Hummel
Tested-by: Helmut Hummel

History

#1 - 2014-02-26 01:04 - Markus Klein

2015-08-04

1/2



https://review.typo3.org/27861

Edit: Broken with #55810

#2 - 2014-02-26 01:13 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27861

#3 - 2014-02-27 15:30 - Markus Klein
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:71a7f96c3e6337cbe1647c784cfed4964d47de31.
